<%@ Page Language="c#" CodeBehind="SchoolAddCourses.aspx.cs" AutoEventWireup="True" Inherits="MTCUN.Admin.SchoolAddCourses"
    Title="显示/隐藏课程-系统" %>

<%@ Import Namespace="MTCUN" %>
<%@ Register Src="../UserCol/CodeBox.ascx" TagName="CodeBox" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link id="linkStyle" runat="server" href="../Themes/Blue/css.css" rel="stylesheet"
        type="text/css" />
    <script language="javascript" type="text/javascript">
        function checkIssueType(source, args) {
            var chkListaTipoModificaciones = document.getElementById('cblSetGroup');
            var chkLista = chkListaTipoModificaciones.getElementsByTagName("input");
            for (var i = 0; i < chkLista.length; i++) {
                if (chkLista[i].checked) {
                    args.IsValid = true;
                    return;
                }
            }
            args.IsValid = false;
        }
    </script>
    <script type="text/javascript">
        var h1 = 250;
        function AddHeight(num) {
            var div = document.getElementById("tbxContent_div_HtmlBox");
            if (num < 0 && h1 < 250) {

            } else {
                h1 += num;
            }

            if (h1 > 0) {
                div.style.height = h1 + "px";
            }

            document.getElementById("tbxContent_codeboxheight").value = h1;
        }

        var h2 = 150;
        function AddHeight2(num) {
            var div = document.getElementById("tbxShowContent_div_HtmlBox");
            if (num < 0 && h2 < 150) {

            } else {
                h2 += num;
            }

            if (h2 > 0) {
                div.style.height = h2 + "px";
            }

            document.getElementById("tbxShowContent_codeboxheight").value = h2;
        }

        function insertHTML(edit, html) {
            edit.focus();
            if (edit != null) {
                var r = edit.document.selection.createRange();
                r.pasteHTML(html);
            }
        }

        function insertText(edit, text) {
            edit.focus();
            if (edit != null) {

                if (edit.document.selection && edit.document.selection.createRange) {
                    var r = edit.document.selection.createRange();
                    r.text = text;
                } else {
                    edit.document.body.innerHTML += text;
                }
            }
        }

    </script>
    <script src="../JScript/HtmlEdit.js" type="text/javascript"></script>
</head>
<body>
    <form id="Form1" method="post" runat="server">
        <div class="divpanel">
            <table class="table" cellspacing="0">
                <tr>
                    <th colspan="2">
                        <asp:Label ID="labSchoolName" runat="server"></asp:Label>-显示/隐藏课程</th>
                </tr>
                <tr>
                    <td align="right" style="width: 83px">&nbsp;</td>
                    <td>
                        <table>
                            <tr>
                                <td>显示的课程</td>
                                <td>&nbsp;
                                </td>
                                <td>课程分类：<asp:DropDownList ID="ddlCourseType" runat="server" AutoPostBack="True" DataTextField="CourseTypeName" DataValueField="CourseTypeID" OnSelectedIndexChanged="ddlCourseType_SelectedIndexChanged">
                                </asp:DropDownList>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:ListBox ID="lbxSelected" runat="server" Height="250px" Width="300px" SelectionMode="Multiple"></asp:ListBox>
                                </td>
                                <td>
                                    <label class="lab_button">
                                        <asp:Button ID="btnAdd" runat="server" Text="&lt;加入" OnClick="btnAdd_Click" />
                                    </label>
                                    <br />
                                    <br />
                                    <label class="lab_button">
                                        <asp:Button ID="btnClear" runat="server" Text="移除&gt;" OnClick="btnClear_Click" />
                                    </label>
                                </td>
                                <td>
                                    <asp:ListBox ID="lbxCourses" runat="server" Height="250px" Width="300px" SelectionMode="Multiple"></asp:ListBox>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td align="right" style="width: 83px"></td>
                    <td>
                        <label class="lab_button">
                            <asp:Button ID="btnSubmit" runat="server" Text="保存" OnClick="btnSubmit_Click"></asp:Button>
                        </label>
                        <label class="lab_button" id="__mt_labBack" runat="server">
                            <input causesvalidation="false" type="button" runat="server" onclick="back(this)" value="返回" /></label>
                    </td>
                </tr>
            </table>
        </div>

    <div class="divremark">
        <b>注意事项：</b><br />
        1、注意：当【显示的课程】里为空，表示显示全部课程。<br />
    </div>
    </form>
</body>
</html>
